<?php
/**
 * MRCalender
 *
 * @package		MRCalendar
 * @version		0.60
 * @license 	本プログラムは、フリーソフトウェアです。
 * 				但し、HTML出力画面にあるプログラム名、プログラムバージョンを著作者の承認なし
 * 				に削除しての使用・改変・再配布することは禁止します。
 * @copyright	YS-Lab
 * @author 		大和英喜
 * @link 		http://www.ys-lab.jp
 */

require_once('common_def.php');
require_once(YSC_CALENDAR_LIB . '/ysc_admincalendar.php');

// エラーハンドラー登録
set_error_handler("error_handler");
// カレンダー管理クラス インスタンス生成
$obj = new YSC_CalendarAdmin(CAL_CONFIG_FILE, CAL_DATA_DIR);
// アクション
$obj->Action();

/**
 * エラーハンドラー
 *
 * @param int $errno		エラー番号
 * @param string $errstr	エラーメッセージ
 **/
function error_handler($errno, $errstr) {
//print "ENO=>$errno MSG=>$errstr <br />\n";
	if(E_USER_ERROR == $errno) {
		include(HTML_CAL_ERROR_PAGE);
		exit();
	}
}


?>