<?php
/**
 * MRCalender
 *
 * @package		MRCalendar
 * @version		0.60
 * @license 	本プログラムは、フリーソフトウェアです。
 * 				但し、HTML出力画面にあるプログラム名、プログラムバージョンを著作者の承認なし
 * 				に削除しての使用・改変・再配布することは禁止します。
 * @copyright	YS-Lab
 * @author 		大和英喜
 * @link 		http://www.ys-lab.jp
 */

/**
 * プログラム関連定義
 */
define('PROG_NAME', 'MRCalendar');												// プログラム名
define('PROG_VERSION', 'Ver 0.60');												// プログラムバージョン
define('PROG_CREDIT', '<a href="http://www.ys-lab.jp">' . 
					  PROG_NAME . ' ' . PROG_VERSION . '</a>');					// プログラムクレジットタイトル
define('PROG_CREDIT_IMG', PROG_NAME . ' ' . PROG_VERSION);						// プログラムクレジットタイトル(画像用)

/**
 * ディレクトリ・ファイル構成
 */
define('YSC_CALENDAR_LIB',		dirname(__FILE__) . '/lib');					// カレンダーライブラリディレクトリ
define('CAL_CONFIG_FILE',		dirname(__FILE__) . '/data/config.xml');		// 設定情報ファイル
define('CAL_DATA_DIR',			dirname(__FILE__) . '/data/cal_data');			// カレンダー情報ファイル保存ディレクトリ
																				// ローカルPEARディレクトリ
define('PEAR_DIRECTORY',		'/var/www/vhosts/ysc.gr.jp/htdocs/pear/PEAR');

if(!defined('SMARTY_SETTING')) {
define('SMARTY_SETTING', 1);													// Smarty関連定義
define('SMARTY_CLASS_FILE',		dirname(__FILE__) . '/var/www/htdocs/smarty/Smarty.class.php');
define('SMARTY_TEMPLATE_DIR',	dirname(__FILE__) . '/data/templates');
define('SMARTY_CACHE_DIR',		dirname(__FILE__) . '/data/cashe');
define('SMARTY_CONFIG_DIR',		dirname(__FILE__) . '/data/configs');
define('SMARTY_COMPILE_DIR',	dirname(__FILE__) . '/data/templates_c');
define('SMARTY_LEFT_DELIMITER', '<!--{');
define('SMARTY_RIGHT_DELIMITER', '}-->');
}

/**
 * エラーページ
 */
define('HTML_CAL_ERROR_PAGE',	SMARTY_TEMPLATE_DIR . '/error.tpl');
define('MOBILE_CAL_ERROR_PAGE',	SMARTY_TEMPLATE_DIR . '/error_mobile.tpl');

if(defined('PEAR_DIRECTORY')) {
	ini_set('include_path', PEAR_DIRECTORY . PATH_SEPARATOR . ini_get('include_path'));
}
?>